{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
<link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Lista Items{% endblock %}
{% block page %}

<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
  <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Items</li>
</ol>
<!-- end breadcrumb -->
<!-- begin page-header -->
<h1 class="page-header">Items</h1>
<!-- end page-header -->
<!-- begin row -->
<div class="row">
  <!-- begin col-6 -->
  <div class="col-xl-12">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="table-basic-1">
      <!-- begin panel-heading -->
      <div class="panel-heading">
        <h4 class="panel-title">Lista de Items</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i
              class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i
              class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i
              class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i
              class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <div class="panel-body">
        <div class="row mb-3">
          <div class="col-sm-12 col-md-12">
            <a class="btn btn-success btn-sm pull-right ml-1" href="/hr/items/new/">Nuevo</a>
          </div>
      </div>
        <table id="item-list" cellspacing="0" class="table table-hover">
          <thead>
            <tr>
              <th style="text-align: center">Nombre</th>
              <th style="text-align: center">F. Multiplicativo</th>
              <th style="text-align: center">F. Sumativo</th>
              <th style="text-align: center">Signo</th>
              <th style="text-align: center">Descripción</th>
              <th style="text-align: center">Empresa</th>
              <th style="text-align: center">Activo</th>
              <th style="text-align: center">Eliminar</th>
            </tr>
          </thead>
          <tbody>
          </tbody>
        </table>
      </div>
      <!-- end panel-body -->
    </div>
    <!-- end panel -->
  </div>
  <!-- end col-12 -->
</div>
<!-- end row -->
<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i
    class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}
{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("hr_menu").classList.add("active");
    //active submenu item
    document.getElementById("items_item").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}"
  defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/item-list.js' %}"></script>

<script>
  function activateItem(el)
  {
    var item_id = el.getAttribute("item_id");
    var check = el.checked;

    if (check == false)
    {
      if (confirm("Desea desactivar el Item?"))
      {
         console.log("Se Desactivo!");
         $.get('activate/', {item_id: item_id, checked: check}, function(json_response) {
              if(json_response.data == el.checked){
              var para = document.createElement("p");
              var node = document.createTextNode("Item desactivado!");
              para.appendChild(node);
              para.setAttribute("class", "text-danger");
              el.parentElement.appendChild(para);
              setTimeout(function(){
                el.parentElement.removeChild(para);
              }, 3000);
            }
            });
      }
      else
      {
        el.checked = true;
      }
    }
    else
    {
      if (confirm("Desea activar el Item?"))
      {
        console.log("Se Activo!");
        $.get('activate/', {item_id: item_id, checked: check}, function(json_response) {
              if(json_response.data == el.checked){
              var para = document.createElement("p");
              var node = document.createTextNode("Item activado!");
              para.appendChild(node);
              para.setAttribute("class", "text-danger");
              el.parentElement.appendChild(para);
              setTimeout(function(){
                el.parentElement.removeChild(para);
              }, 3000);
            }
            });
      }
      else
      {
        el.checked = false;
      }
    }
  }
</script>
{% endblock %}
